
Redmine - Defect #35608

ActionView::Template::Error

2021-07-26 15:18 - anderson henrique de oliveira

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

ActionView::Template::Error (Tried to load unspecified class: ActiveSupport::HashWithIndifferentAc

cess):

     6:   <span>

     7:       <%= label_tag available_tag_id, l(:description_available_columns) %>

     8:       <%= select_tag 'available_columns',

     9:               options_for_select(query_available_inline_columns_options(query)),

    10:               :id => available_tag_id,

    11:               :multiple => true, :size => 10,

    12:               :ondblclick => "moveOptions(this.form.#{available_tag_id}, this.form.#{selec

ted_tag_id});" %>

app/models/custom_field.rb:194:in `full_width_layout?'

app/models/query.rb:129:in `initialize'

app/models/issue_query.rb:227:in `new'

app/models/issue_query.rb:227:in `block in available_columns'

app/models/issue_query.rb:227:in `collect'

app/models/issue_query.rb:227:in `available_columns'

app/models/query.rb:751:in `available_inline_columns'

app/helpers/queries_helper.rb:111:in `query_available_inline_columns_options'

app/views/queries/_columns.html.erb:9:in `_app_views_queries__columns_html_erb__180106743509758731

_39790100'

app/helpers/queries_helper.rb:120:in `render_query_columns_selection'

app/views/settings/_issues.html.erb:42:in `block in _app_views_settings__issues_html_erb___3907273

758105470640_70343526728380'

app/views/settings/_issues.html.erb:1:in `_app_views_settings__issues_html_erb___39072737581054706

40_70343526728380'

app/views/common/_tabs.html.erb:21:in `block in _app_views_common__tabs_html_erb___202197325297124

8650_66522480'

app/views/common/_tabs.html.erb:20:in `each'

app/views/common/_tabs.html.erb:20:in `_app_views_common__tabs_html_erb___2021973252971248650_6652

2480'

app/helpers/application_helper.rb:439:in `render_tabs'

app/views/settings/edit.html.erb:5:in `_app_views_settings_edit_html_erb___2628854012480261892_664

49720'

app/controllers/settings_controller.rb:33:in `index'

lib/redmine/sudo_mode.rb:65:in `sudo_mode'

Related issues:

Related to Redmine - Defect #35582: Error: Template::Error (Tried to load uns... Closed

History

#1 - 2021-07-26 22:31 - Marius BĂLTEANU

- Description updated

- Status changed from New to Needs feedback

Please see Submissions.

#2 - 2021-07-26 22:40 - anderson henrique de oliveira

Environment:
Redmine version                4.1.3.stable

Ruby version                   2.5.9-p229 (2021-04-05) [x86_64-linux]

Rails version                  5.2.5

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                sendmail

SCM:

Subversion                     1.7.14

Git                            1.8.3.1

Filesystem

Redmine plugins:

no plugin installed

#3 - 2021-07-26 23:06 - Marius BĂLTEANU

Is it a fresh installation or the error occurs after you upgraded an old installation to 4.1.3? We need more information from you in order to understand

the cause because we are not aware by such problems in the supported Redmine versions.

#4 - 2021-07-27 14:01 - anderson henrique de oliveira

It's after upgrade from this environment:

Environment:

Redmine version                4.1.1.stable

Ruby version                   2.6.1-p33 (2019-01-30) [x86_64-linux]

Rails version                  5.2.4.2

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                sendmail

SCM:

Subversion                     1.6.11

Git                            1.7.1

Filesystem

Redmine plugins:

no plugin installed

OS CentOS 6.10

The new ambient it's a CentOS 7.9.

Migrate/upgrade process:

cd /opt/rails/redmine/

rvm rvmrc warning ignore allGemfiles

gem install bundle

gem install bundler

gem update --system

gem update

bundle install --without development test postgresql sqlite

bundle exec rake generate_secret_token

bundle update

bundle exec rake db:migrate RAILS_ENV=production

bundle exec rake redmine:plugins:migrate RAILS_ENV=production

bundle exec rake tmp:cache:clear RAILS_ENV=production

#5 - 2022-02-13 10:04 - Marius BĂLTEANU

- Related to Defect #35582: Error: Template::Error (Tried to load unspecified class: ActiveSupport::HashWithIndifferentAccess) added

#6 - 2022-02-13 10:05 - Marius BĂLTEANU

Can you check my comment from #35582#note-2?

#7 - 2022-08-02 11:50 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Fixed

This should have been fixed by #36226.
